<div *ngIf="message" class="alert alert-success" role="alert">
    {{message}}
</div>
<form #loginForm="ngForm" (ngSubmit)="onFormSubmit(loginForm)" *ngIf="!message">
    <div class="form-group">
        <label for="exampleInputEmail1">Email address</label>
        <input type="email" class="form-control" name="email" #email="ngModel" ngModel placeholder="Enter email" required>
        <div *ngIf="!email.valid && email.touched" class="alert alert-danger" role="alert"> Email obbligatoria!!! </div>

        <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
    </div>
    <div class="form-group">
        <label for="exampleInputPassword1">Password</label>
        <input type="password" class="form-control" name="password" placeholder="Password" ngModel required>
    </div>
    <div class="form-group">
        <label for="exampleInputPassword1">range</label>
        <input type="number" class="form-control" name="range" placeholder="Metti il range" #range="ngModel" ngModel required minlength="3" maxlength=10>

    </div>
    <div class="form-group form-check">
        <input type="checkbox" class="form-check-input" name="check" ngModel>
        <label class="form-check-label" for="exampleCheck1">Check me out</label>
    </div>
    <button type="submit" class="btn btn-primary" [disabled]="!loginForm.valid ||isLoading">Submit</button> Birre preferite {{favouritesBeers.length}}
</form>
